import { SyncDescriptor } from 'vscode/vscode/vs/platform/instantiation/common/descriptors';
import { IDebugService } from 'vscode/vscode/vs/workbench/contrib/debug/common/debug.service';
import { DebugService } from './vscode/src/vs/workbench/contrib/debug/browser/debugService.js';
import { LanguageFeaturesService } from 'vscode/vscode/vs/editor/common/services/languageFeaturesService';
import { ILanguageFeaturesService } from 'vscode/vscode/vs/editor/common/services/languageFeatures';
import { IExtensionHostDebugService } from 'vscode/vscode/vs/platform/debug/common/extensionHostDebug.service';
import { BrowserExtensionHostDebugService } from './vscode/src/vs/workbench/contrib/debug/browser/extensionHostDebugService.js';
import { IDebugVisualizerService } from 'vscode/vscode/vs/workbench/contrib/debug/common/debugVisualizers.service';
import { DebugVisualizerService } from './vscode/src/vs/workbench/contrib/debug/common/debugVisualizers.js';
import './tools/debugAssets.js';
import './vscode/src/vs/workbench/contrib/debug/browser/debug.contribution.js';

const original = DebugService.prototype['showError'];
DebugService.prototype['showError'] = function (message, errorActions) {
    return original.call(this, message, errorActions, false);
};
function getServiceOverride() {
    return {
        [( ILanguageFeaturesService.toString())]: new SyncDescriptor(LanguageFeaturesService, [], true),
        [( IDebugService.toString())]: new SyncDescriptor(DebugService, [], true),
        [( IExtensionHostDebugService.toString())]: new SyncDescriptor(BrowserExtensionHostDebugService, [], true),
        [( IDebugVisualizerService.toString())]: new SyncDescriptor(DebugVisualizerService, [], true)
    };
}

export { getServiceOverride as default };
