import { Registry } from 'vscode/vscode/vs/platform/registry/common/platform';
import { Extensions } from 'vscode/vscode/vs/workbench/common/configuration';

( Registry.as(Extensions.ConfigurationMigration))
    .registerConfigurationMigrations([{
        key: 'debug.autoExpandLazyVariables',
        migrateFn: (value) => {
            let newValue;
            if (value === true) {
                newValue = 'on';
            }
            else if (value === false) {
                newValue = 'off';
            }
            return [
                ['debug.autoExpandLazyVariables', { value: newValue }],
            ];
        }
    }]);
